Welcome! Log In Create A New Profile

Advanced

Intel wireless dev.ver. wicd doesn't see

Posted by az_s_za 
Intel wireless dev.ver. wicd doesn't see
December 28, 2007 03:19AM
I have an intel wireless card on my laptop. It worked fine with the stable version of elive and wicd. I am now using a new install of the development version, and wicd doesn't see my wireless anymore.

I am guessing a driver issue, but I wouldn't know how to install a new one.

I dual-boot to U buntu, which has no problems with the wifi, so I guess I could get drivers from there?

Can anyone help me get my wifi going?



Edited 1 time(s). Last edit at 03/15/2011 05:36AM by anu.
Re: Intel wireless
December 28, 2007 05:34PM
I've just found that everything I need is already installed, but the ipw3945 modules are not loading on boot and cannot be loaded manually, so it may be a devolpment version bug.

I'll check out the bug reports.
Re: Intel wireless
January 01, 2008 06:51PM
az-s-za: have you been able to figure out the problem?

I don't know if my problem is similar to yours, but I was able to get wireless running fine in debian, but can't get it to work in elive. The ipw3945 module/driver/whatever isn't loading during boot for me either.

I seem to recall Thanatermesis saying something about intentionally taking ipw3945 out of elive because it made things freeze. I am not even sure that I need that module/driver/whatever, but I have noticed that my boot sequence complains about not having it.
Re: Intel wireless
January 03, 2008 12:45AM
Your problem sounds the same as mine. If you have an intel wireless card that uses this module, you WILL need it to load before you can use wireless.

It works fine for me in the stable version of Elive. Its just the development version that has the problem.

I decided against trying to "fix" the development version as it is a work-in-progress and I want to try and stay with the default system as much as possible, or my bug reports will be worthless.

So for now, I just dual-boot to something else if I need wireless.

I assume (and hope) that Thanatermesis' comments (which I have not seen) only apply to the development version. There is a lot disabled during testing to enable him to have a working system while he develops it.

There really are too many Intel Pro Wireless cards out there for this not to be working in the next stable release.

I have posted this problem a couple of times on the development IRC chat channel, but have received no reply. As far as I know this is the only place for bug reports of the development version???

Sorry for giving you such a long response which doesn't solve your problem.
Re: Intel wireless
January 07, 2008 01:13PM
Yes, the ipw3945 driver is missing in the dev version.
Re: Intel wireless
January 10, 2008 03:08AM
Is it just the driver missing?
If I install the driver will I mess up my system?
Re: Intel wireless
January 11, 2008 01:46AM
No, because we are not the sources of the 2.6.23.9-elive kernel ! It's not possible to install this driver without !

So, we must wait the next dev version for this driver....or compile a new kernel ^^
Re: Intel wireless
January 14, 2008 09:59PM
I'll wait. Thanks for the info.

And while I'm at it, thank you phoenix for all your input on this forum... it'd be dead without you. Cheers!
Re: Intel wireless
January 15, 2008 05:56AM
Re: Intel wireless
September 13, 2008 10:21PM
[www.pendrivelinux.com] [wiki.debian.org]
and
[kryptoz.wordpress.com]
all have pretty good suggestions for installing Intel Pro Wireless firmware in Lenny.
If you are using Sid, you can install with
apt-get install firmware-iwlwifi.
Note, in that case, make sure you remove iwlwifi-ucode, iwlwifi-3945, firmware-iwl3945 and firmware-iwl4965, if already installed.
adw
Re: Intel wireless
October 15, 2008 04:27PM
Thanks everyone for info / comments above. I too have an Intel 3945 in my laptop, it originally had Broadcom which I changed to avoid having to use the firmware cutter that is necessary with this card - I thought the Intel would be better supported in Linux (so far I have found it well supported but I do have an unknown problem with Gentoo Linux.
I trust this is only a development 'issue' as you all say the stable works fine.
Sorry, only registered users may post in this forum.

Click here to login